<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:p="http://www.springframework.org/schema/p"
	xmlns:aop="http://www.springframework.org/schema/aop"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:jee="http://www.springframework.org/schema/jee"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:jpa="http://www.springframework.org/schema/data/jpa"
	xmlns:repository="http://www.springframework.org/schema/data/repository"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
            http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop.xsd
            http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
            http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
            http://www.springframework.org/schema/jee http://www.springframework.org/schema/jee/spring-jee.xsd
            http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx.xsd
            http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd
            http://www.springframework.org/schema/data/jpa http://www.springframework.org/schema/data/jpa/spring-jpa.xsd
            http://www.springframework.org/schema/data/repository http://www.springframework.org/schema/data/repository/spring-repository.xsd
            http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
            ">

	<context:component-scan
		base-package="com.eactive.eai.rms">
		<context:exclude-filter type="annotation"
			expression="org.springframework.stereotype.Controller" />
	</context:component-scan>
	<context:component-scan
		base-package="com.eactive.eai.message">
	</context:component-scan>
	<context:component-scan
		base-package="com.eactive.eai.transformer">
	</context:component-scan>
	<context:component-scan
		base-package="com.eactive.eai.data">
	</context:component-scan>
	<context:component-scan
		base-package="com.eactive.eai.common.util">
	</context:component-scan>
	
	<!-- elink-common 적용 후 추가 -->
	<context:component-scan
		base-package="com.eactive.eai.adapter.loader">
	</context:component-scan>
	<context:component-scan	base-package="com.eactive.eai.common.b2badaptermapping.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.b2bextractor.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.b2bservice.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.bizkey.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.c2rservice.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.errorcode.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.inflow.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.lifecycle.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.logger"/>
	<context:component-scan	base-package="com.eactive.eai.common.message.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.messagekey.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.property.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.pushinfo.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.restrict.logger"/>
	<context:component-scan	base-package="com.eactive.eai.common.routing.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.server.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.sessioninfo.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.stdmessage.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.submessage.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.sysdomain.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.unifbwk.loader"/>
	<context:component-scan	base-package="com.eactive.eai.common.usedate.loader"/>
	<context:component-scan
		base-package="com.eactive.eai.flowcontrol.jms.loader">
	</context:component-scan>
	<context:component-scan
		base-package="com.eactive.eai.inbound.error.loader">
	</context:component-scan>
	<context:component-scan
			base-package="com.eactive.apim.portal">
	</context:component-scan>
	
	<bean id="cacheManager"
		class="org.springframework.cache.ehcache.EhCacheCacheManager">
		<property name="cacheManager">
			<bean
				class="org.springframework.cache.ehcache.EhCacheManagerFactoryBean">
				<property name="shared" value="true"></property>
				<property name="configLocation"
					value="classpath:ehcache.xml"></property>
			</bean>
		</property>
	</bean>

	<util:properties id="hibernateProperties">
		<!-- schema 를 설정 하지 않으면 RoutingDataSource에 의해 각 설정에 맞는 DB에 접근 한다. -->
		<prop key="hibernate.hbm2ddl.auto">none</prop>
		<prop key="hibernate.format_sql">true</prop>
		<prop key="hibernate.show_sql">true</prop>
		<prop key="hibernate.type">trace</prop>
		<prop key="hibernate.dialect">${hibernate.dialect:org.hibernate.dialect.Oracle12cDialect}
		</prop>
		<prop key="hibernate.jdbc.batch_size">100</prop>
		<prop key="hibernate.jdbc.fetch_size">100</prop>

		<prop key="hibernate.cache.use_second_level_cache">false</prop>
		<prop key="hibernate.cache.use_query_cache">false</prop>
		<prop key="hibernate.cache.region.factory_class">org.hibernate.cache.ehcache.EhCacheRegionFactory</prop>
		<prop key="hibernate.cache.use_minimal_puts">true</prop>

		<prop key="hibernate.physical_naming_strategy">com.eactive.eai.data.jpa.CustomPhysicalNamingStrategy</prop>
		<!-- <prop key="hibernate.ejb.interceptor">com.eactive.eai.rms.common.interceptor.jpa.DynamicSchemaInterceptor</prop> -->
		<!-- <prop key="hibernate.generate_statistics">true</prop> -->
		<prop key="javax.persistence.schema-generation.create-source">metadata</prop>
		<prop key="javax.persistence.schema-generation.scripts.action">update</prop>
		<prop
			key="javax.persistence.schema-generation.scripts.create-target">update.sql</prop>
		<prop key="hibernate.bytecode.use_reflection_optimizer">false</prop>
		
		<prop key="hibernate.integration.envers.enabled">false</prop>
	</util:properties>
</beans>